OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.ARB.CullDistance

Contents

- Extension Support
- Enums

Description

Synopsis

- glGetARBCullDistance :: MonadIO m => m Bool
- gl_ARB_cull_distance :: Bool
- gl_MAX_COMBINED_CLIP_AND_CULL_DISTANCES :: GLenum
- gl_MAX_CULL_DISTANCES :: GLenum

# Extension Support

glGetARBCullDistance :: MonadIO m => m Bool

Is the ARB_cull_distance extension supported?

gl_ARB_cull_distance :: Bool

Is the ARB_cull_distance extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBCullDistance` in those cases instead.

# Enums

gl_MAX_COMBINED_CLIP_AND_CULL_DISTANCES :: GLenum

gl_MAX_CULL_DISTANCES :: GLenum